varying vec3 v_position;
varying vec3 v_normal;

void main(void)
{
	v_position = vec3(gl_ModelViewMatrix * gl_Vertex);
	v_normal   = normalize(gl_NormalMatrix * gl_Normal);

	gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;

	gl_Position = ftransform();

	gl_FrontColor = gl_Color;

	gl_ClipVertex = gl_ModelViewMatrix * gl_Vertex;
}
